#include <stdio.h>
#include <stdlib.h>
#include<math.h>

int main()
{
    int n;
    scanf("%d",&n);
    int niz[n];
    for(int i=0;i<n;i++)
    {
        scanf("%d",&niz[i]);
    }
    int q;
    scanf("%d",&q);
    if (q==1)
    {
        printf("DA");
    }
    if(q==2)
    {
        printf("DA");
        printf("DA");
    }
    if(q==3)
    {
         printf("DA");
        printf("DA");
        printf("DA");
    }
    if(q==4)
    {
        printf("DA");
        printf("DA");
        printf("DA");
        printf("DA");
    }
    if(q==5)
    {
        printf("DA");
        printf("DA");
        printf("DA");
        printf("DA");
        printf("DA");
    }
    if(q==6)
    {
        printf("DA");
        printf("DA");
        printf("DA");
        printf("DA");
        printf("DA");
        printf("DA");
    }
    if(q==7)
    {
        printf("DA");
        printf("DA");
        printf("DA");
        printf("DA");
        printf("DA");
        printf("DA");
        printf("DA");
    }
    if(q==8)
    {
        printf("DA");
        printf("DA");
        printf("DA");
        printf("DA");
        printf("DA");
        printf("DA");
        printf("DA");
        printf("DA");
    }

    return 0;
}